/*DISPLAY PROPERTY*/
/*This is a display*/
#div-1{
	background: green;
	/*An inline element does not start on a new line. It only takes up as much width as*/
	display: inline;
}

/*This is span*/
#span-1 {
	background-color: purple;
	/*display:none hides the element from the webiste*/
	display: none;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: red;
	/*Block elements by default take as much as they can*/
	display: block;
}

#div-2 {
	display: none;
	background: hotpink;
}

#img {
	/*Inline block*/
	display: inline-block;
	width: 250ps;
	height: 250px;
}

/*Block takes up the whole width by default*/
#p-1 {
	background-color: #87CEFA;
}

/*width 60*/
#p-2 {
	background-color: rgb(255, 105, 180);
	width: 60%;
}

/*width 40*/
#p-3 {
	background-color: royalblue;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid darkgreen;
	text-align: center;
}

/*Float Property*/

.img-float {
	width: 250px;
	height: 250px;
	/*inherits this property from its parent element*/
	float: inherit;
}

/*CSS Units*/
.box {
	background-color: forestgreen;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
height: 25vh;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.one-rem{
	font-size: 1rem;
}
.one-em {
	font-size: 1em;
}
.two-rem {
	font-size: 2rem;
}
.two-em {
	font-size: 2em;
}
.two-hundred-percent{
	font-size: 200%;
}

.background{
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	/*Image being centered horizontally, alignment with top of the element vertically*/
	background-position: center top;
	background-attachment: scroll;
}
.container-bg {
	/*rgba stands for red, green, blue, and alpha*/
	/*opacity*/
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
/*	color: whitesmoke;*/
}

.bg-title{
	color: whitesmoke;
	text-align: center;
	font-size: 5em;
	margin: 0;
	/*controls the height of each line of text within an element*/
	line-height: 30rem;
}

/*CSS Positioning*/

.parent-element{
	background-color: skyblue;
	padding: 50px;
	position: relative;
	height: 800px;
}
.child-one{
	background-color: dimgray;
	padding: 10px;
}
.child-two{
	background-color: yellow;
	padding: 10px;
	position: sticky;
	top: 10px;
}
.child-three{
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}

/*Z-index property*/
/**/
.container{
	position: relative;
}
.black-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}
.gray-box{
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	top: 50px;
}
.green-box {
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}